/* START_SECTION:product-nutrients (INDEX:44) */
.rtnu-pdp-nutrients {
    padding: clamp(3.5rem, -0.5rem + 8.3333vw, 6rem) 0 clamp(4rem, -0.8rem + 10vw, 7rem);
    color: var(--section-heading-color);
    background: var(--section-bg-color);
  }

  .rtnu-pdp-nutrients h2 {
    color: inherit;
    font-size: clamp(2rem, 0.222rem + 3.704vw, 3rem);
    line-height: 1;
    font-weight: 600;
    text-align: center;
    max-width: 910px;
    margin-inline: auto;
  }

  .rtnu-pdp-nutrients .rtnu-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.5rem;
    align-items: stretch;
    margin-top: 2rem;
  }

  .rtnu-pdp-nutrients .rtnu-grid.toggled-content {
    margin-top: 1.5rem;
  }

  .rtnu-product__nutrient {
    padding: 2rem clamp(1.25rem, 0.45rem + 1.6667vw, 1.75rem) clamp(2rem, 1.2rem + 1.6667vw, 2.5rem);
    background: var(--card-bg-color);
    border-radius: 16px;
    position: relative;
  }

  .rtnu-product__nutrient-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 16px;
    margin-bottom: clamp(0.5rem, -0.3rem + 1.6667vw, 1rem);
  }

  .rtnu-product__nutrient-icon {
    flex-shrink: 0;
  }

  .rtnu-product__nutrient-icon img {
    width: auto;
    height: clamp(3rem, 2.2rem + 1.6667vw, 3.5rem);
    object-fit: contain;
  }

  .rtnu-product__nutrient h3 {
    color: var(--card-heading-color);
    font-size: clamp(1.25rem, 1.05rem + 0.4167vw, 1.375rem);
    font-weight: 600;
    text-wrap: balance;
  }

  .rtnu-product__nutrient p {
    font-size: 1rem;
    line-height: 1.4;
    color: var(--card-text-color);
    text-wrap: balance;
  }

  .readmore-toggle {
    font-weight: 600;
    line-height: 1;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-size: 18px;
    color: var(--card-bg-color);
    position: relative;
    margin-top: clamp(2.5rem, 1.7rem + 1.6667vw, 3rem);
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 350px;
    margin-inline: auto;
    width: 100%;
    height: 60px;
    border-radius: 8px;
    transition: all 0.2s ease;
    text-decoration: none;
  }

  .readmore-toggle span {
    display: flex;
    align-items: center;
    position: relative;
    padding-right: 26px;
  }

  .readmore-toggle span::after {
    content: '';
    width: 24px;
    height: 24px;
    position: absolute;
    right: 0;
    top: calc(50% - 12px);
    transition: all 0.2s ease;
    mask: url('data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20fill%3D%22none%22%20viewBox%3D%220%200%2024%2024%22%20stroke-width%3D%221.5%22%20stroke%3D%22currentColor%22%3E%3Cpath%20stroke-linecap%3D%22round%22%20stroke-linejoin%3D%22round%22%20d%3D%22M12%204.5v15m7.5-7.5h-15%22%2F%3E%3C%2Fsvg%3E')
      no-repeat center;
    mask-size: contain;
    background-color: var(--card-bg-color);
  }

  .readmore-toggle.active span::after {
    transform: rotate(180deg);
    mask: url('data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20fill%3D%22none%22%20viewBox%3D%220%200%2024%2024%22%20stroke-width%3D%221.5%22%20stroke%3D%22currentColor%22%3E%3Cpath%20stroke-linecap%3D%22round%22%20stroke-linejoin%3D%22round%22%20d%3D%22M5%2012h14%22%2F%3E%3C%2Fsvg%3E');
  }

  .readmore-toggle:hover {
    text-decoration: underline;
  }

  @media (max-width: 900px) {
    .rtnu-pdp-nutrients .rtnu-grid {
      grid-template-columns: repeat(2, 1fr);
    }
  }

  @media (max-width: 768px) {
    .rtnu-pdp-nutrients .rtnu-grid {
      grid-template-columns: 1fr;
    }

    .rtnu-pdp-nutrients .rtnu-grid.toggled-content {
      margin-top: 1.5rem;
    }
  }
/* END_SECTION:product-nutrients */
